﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _121499
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Group", typeof(string));
            dt.Columns.Add("OrderBy", typeof(int));
            Random rnd = new Random();
            for (int i = 0; i < 100; i++)
            {
                Debug.WriteLine(i);
                dt.Rows.Add(string.Format("Group {0}", i % 5), rnd.Next(i, (int)Math.Pow (i + 1, 2)));
            }

            ultraGrid1.DataSource = dt;

            ultraGrid1.DisplayLayout.Override.GroupByColumnsHidden = Infragistics.Win.DefaultableBoolean.False;
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("Group", true, true);

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add("OrderBy", true);
        }
    }
}
